curl "https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.get(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
headers={"Authorization": "Bearer runtm_xxx"},
)
for c in response.json()["collaborators"]:
print(f"{c['name']} ({c['role']})")
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
{
headers: { "Authorization": "Bearer runtm_xxx" },
}
);
const { collaborators } = await response.json();
collaborators.forEach((c) => console.log(`${c.name} (${c.role})`));
{
"collaborators": [
{
"user_id": "user_xyz",
"email": "[email protected]",
"name": "Alice",
"role": "owner",
"joined_at": "2026-05-09T10:00:00Z"
},
{
"user_id": "user_456",
"email": "[email protected]",
"name": "Bob",
"role": "collaborator",
"joined_at": "2026-05-09T11:00:00Z"
}
]
}
Lifecycle
List Collaborators
List users collaborating on a session
GET
/
api
/
sessions
/
{session_id}
/
collaborators
curl "https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.get(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
headers={"Authorization": "Bearer runtm_xxx"},
)
for c in response.json()["collaborators"]:
print(f"{c['name']} ({c['role']})")
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
{
headers: { "Authorization": "Bearer runtm_xxx" },
}
);
const { collaborators } = await response.json();
collaborators.forEach((c) => console.log(`${c.name} (${c.role})`));
{
"collaborators": [
{
"user_id": "user_xyz",
"email": "[email protected]",
"name": "Alice",
"role": "owner",
"joined_at": "2026-05-09T10:00:00Z"
},
{
"user_id": "user_456",
"email": "[email protected]",
"name": "Bob",
"role": "collaborator",
"joined_at": "2026-05-09T11:00:00Z"
}
]
}
Returns the list of users who have access to or are currently collaborating on a session.
Required scope:
sessions:read
Path Parameters
string
required
The session ID (e.g.
ses_abc123).Headers
string
required
Bearer token. Example:
Bearer runtm_xxxstring
Scope to an organization.
Response
array
Array of collaborator objects.
string
User ID of the collaborator.
string
Email address.
string
Display name.
string
Role in the session:
owner or collaborator.string
ISO 8601 timestamp of when the user joined.
curl "https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators" \
-H "Authorization: Bearer runtm_xxx"
import requests
response = requests.get(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
headers={"Authorization": "Bearer runtm_xxx"},
)
for c in response.json()["collaborators"]:
print(f"{c['name']} ({c['role']})")
const response = await fetch(
"https://app.runtm.com/api/cloud/sessions/ses_abc123/collaborators",
{
headers: { "Authorization": "Bearer runtm_xxx" },
}
);
const { collaborators } = await response.json();
collaborators.forEach((c) => console.log(`${c.name} (${c.role})`));
{
"collaborators": [
{
"user_id": "user_xyz",
"email": "[email protected]",
"name": "Alice",
"role": "owner",
"joined_at": "2026-05-09T10:00:00Z"
},
{
"user_id": "user_456",
"email": "[email protected]",
"name": "Bob",
"role": "collaborator",
"joined_at": "2026-05-09T11:00:00Z"
}
]
}